org.apache.ignite.internal.processors.cache

## Class IgniteCacheOffheapManagerImpl.PendingEntryLeafIO

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO
  - - org.apache.ignite.internal.processors.cache.persistence.tree.io.BPlusIO<L>
    - - org.apache.ignite.internal.processors.cache.persistence.tree.io.BPlusLeafIO<org.apache.ignite.internal.processors.cache.IgniteCacheOffheapManagerImpl.PendingRow>
      - - org.apache.ignite.internal.processors.cache.IgniteCacheOffheapManagerImpl.PendingEntryLeafIO

Enclosing class:
  IgniteCacheOffheapManagerImpl

    public static final class IgniteCacheOffheapManagerImpl.PendingEntryLeafIO
    extends BPlusLeafIO<org.apache.ignite.internal.processors.cache.IgniteCacheOffheapManagerImpl.PendingRow>

### Field Summary

Fields
`static IOVersions<IgniteCacheOffheapManagerImpl.PendingEntryLeafIO>` `VERSIONS`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.BPlusIO

`ITEMS_OFF, itemSize`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`COMMON_HEADER_END, CRC_OFF, MAX_PAYLOAD_SIZE, PAGE_ID_OFF, T_BPLUS_META, T_CACHE_ID_AWARE_DATA_REF_INNER, T_CACHE_ID_AWARE_DATA_REF_LEAF, T_CACHE_ID_AWARE_PENDING_REF_INNER, T_CACHE_ID_AWARE_PENDING_REF_LEAF, T_DATA, T_DATA_REF_INNER, T_DATA_REF_LEAF, T_H2_EX_REF_INNER_END, T_H2_EX_REF_INNER_START, T_H2_EX_REF_LEAF_END, T_H2_EX_REF_LEAF_START, T_H2_REF_INNER, T_H2_REF_LEAF, T_META, T_METASTORE_INNER, T_METASTORE_LEAF, T_PAGE_LIST_META, T_PAGE_LIST_NODE, T_PAGE_UPDATE_TRACKING, T_PART_CNTRS, T_PART_META, T_PENDING_REF_INNER, T_PENDING_REF_LEAF, TYPE_OFF, VER_OFF`

### Method Summary

Methods
`int` `getCacheId(long pageAddr, int idx)`
`protected boolean` `storeCacheId()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.BPlusLeafIO

`copyItems, getMaxCount, offset`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.BPlusIO

`canGetRow, getCount, getForward, getItemSize, getRemoveId, initNewPage, insert, isLeaf, merge, remove, setCount, setForward, setRemoveId, splitExistingPage, splitForwardPage, store, visit`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`getBPlusIO, getBPlusIO, getCrc, getCrc, getInnerVersions, getLeafVersions, getPageId, getPageId, getPageIO, getPageIO, getType, getType, getType, getVersion, getVersion, getVersion, isDataPageType, registerH2, registerH2ExtraInner, registerH2ExtraLeaf, registerTest, setCrc, setCrc, setPageId, setType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### VERSIONS

    public static final IOVersions<IgniteCacheOffheapManagerImpl.PendingEntryLeafIO> VERSIONS

### Method Detail

#### getCacheId

    public int getCacheId(long pageAddr,
                 int idx)

#### storeCacheId

    protected boolean storeCacheId()

Returns:
  `True` if cache ID has to be stored.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017